Path Finder and OS X version compatibility

Looking for an older version of Path Finder? Confused on which version to download? Just follow the guideline below, and click the version number to begin a download of that version.


Path Finder 6:

10.7 Lion, 10.8 Mountain Lion, 10.9 Mavericks- Version 6.5.3

10.6 Snow Leopard- Version 6.0.10


Path Finder 5:

10.6 Snow Leopard, 10.7 Lion, 10.8 Mountain Lion- Version 5.8.1

10.5 Leopard- Version 5.2.2


Path Finder 4 and below:

Unfortunately, we no longer support Version 4 and below. Click here to learn how to upgrade to a current version.